function CreateQuestDefeat()

	QuestDefeatId = AddDefeatCondition( QuestDefeat, { { name = "Dario", updatePos = true } } )

end

function QuestDefeat()

	if 		IsDead("P1Ranged") and IsDead("P1Melees") and IsDead("Ari") and IsDead("Helias")
		and	IsDead("Headhunter") and IsDead("Dario") and IsDead("Pilgrim") then
			
			for i=1,5 do
				if IsAlive("Scout"..i) then
					return false
				end
			end
				
		return true

	end

end

function StopQuestDefeat()

	RemoveDefeatCondition(QuestDefeatId)

end